import type { IForwardConfig } from './forwarding-types.js';

/**
 * Domain configuration with unified forwarding configuration
 */
export interface IDomainConfig {
  // Core properties - domain patterns
  domains: string[];

  // Unified forwarding configuration
  forwarding: IForwardConfig;
}

/**
 * Helper function to create a domain configuration
 */
export function createDomainConfig(
  domains: string | string[],
  forwarding: IForwardConfig
): IDomainConfig {
  // Normalize domains to an array
  const domainArray = Array.isArray(domains) ? domains : [domains];

  return {
    domains: domainArray,
    forwarding
  };
}